org.eclipse.microprofile.metrics.tck.metrics

## Class MeteredMethodBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.MeteredMethodBeanTest

    public class MeteredMethodBeanTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MeteredMethodBeanTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `callMeteredMethodOnce()`
`void` `instantiateTest()`
`void` `meteredMethodNotCalledYet()`
`void` `removeMeterFromRegistry()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MeteredMethodBeanTest

    public MeteredMethodBeanTest()

### Method Detail

#### instantiateTest

    public void instantiateTest()

#### meteredMethodNotCalledYet

    @InSequence(value=1)
    public void meteredMethodNotCalledYet()

#### callMeteredMethodOnce

    @InSequence(value=2)
    public void callMeteredMethodOnce()

#### removeMeterFromRegistry

    @InSequence(value=3)
    public void removeMeterFromRegistry()